local _, EIA = ...
local FailNotes = EIA:NewModule("FailNotes")

WindsFrames = {}

-- ********************
-- *** Data ****
-- ********************
local Winds = {}

-- ****************************
-- *** Localized spell name ***
-- ****************************
local AURA_EYE_OF_ANZU, _, AURA_EYE_OF_ANZU_ICON = GetSpellInfo(EIA.AuraEyeOfAnzuSpellID)
local AURA_PHANTASMAL_WINDS, _, AURA_PHANTASMAL_WINDS_ICON = GetSpellInfo(EIA.AuraPhantasmalWindsSpellID)


local defaults = {
  profile = {
    enabled = true
  }
}

function FailNotes:OnInitialize()
  self.db = EIA.db:GetNamespace("FailNotes", true) or EIA.db:RegisterNamespace("FailNotes", defaults)
  --self:CreateWindsFrame()
end

function FailNotes:OnEnable()

end

function FailNotes:OnDisable()

end

function FailNotes:CreateWindsFrame()
  local scrollingTable = LibStub("ScrollingTable");
  local scrollCols = {
    { ["name"] = "Iskar HP (%)", ["width"] = 50, ["align"] = "CENTER"},
    { ["name"] = "Player", ["width"] = 100 },
    { ["name"] = "Event info", ["width"] = 200, ["align"] = "CENTER"},
    { ["name"] = "Time with Eye (s)", ["width"] = 50 },
    { ["name"] = "Received from", ["width"] = 100},
    { ["name"] = "Sent to", ["width"] = 100},
  }

  local table = ScrollingTable:CreateST(scrollCols);

  local data = {
    { 10.1, "Skamer","Skamer sent the eye of Anzu to Ellendra", 5.3, "Divi", "Ellendra"},
    { 8.3, "Fufu", "Fufu has died because nobody wants to send him the Eye", 0, "", ""},
    { 7.4, "Ellendra", "Ellendra sent the eye of Anzu to Divi", 2.4, "Skamer", "Divi"},
  }

  table:SetData(data, true)
  table:Hide()
end

function FailNotes:GetOptions()
  FailNotes.options = {
        type = "group",
        name = "Fail Notes (in development)",
        order = 3,
        args = {

        }
  }
  return  FailNotes.options
end
